#414 2.2.1 INTERNAL ERROR Signal 11 on Mac OS X Lion connect

closed
nobody
5
2014-08-19
2011-10-04
padvinder95
No

When trying to connect to an AFP share, the afpd panics and the Mac is unable to connect.
System: Ubuntu server 11.10 Oneiric (uname -a: Linux pauw 3.0.0-12-generic-pae #19-Ubuntu SMP Fri Sep 23 23:10:56 UTC 2011 i686 i686 i386 GNU/Linux)

Oneiric comes with 2.2-beta4, which has this bug. Other reports suggested updating to 2.2.0 might help. Downloaded source, configured with configure --enable-debian --sysconfdir=/etc --with-uams-path=/usr/lib/netatalk. Default settings, homedir shares. Syslog:

Oct 4 22:23:09 pauw afpd[17994]: AFP Server shutting down on SIGTERM
Oct 4 22:23:11 pauw afpd[18079]: AFP/TCP started, advertising 130.89.166.254:548 (2.2.1)
Oct 4 22:23:23 pauw afpd[18084]: ===============================================================
Oct 4 22:23:23 pauw afpd[18084]: INTERNAL ERROR: Signal 11 in pid 18084 (2.2.1)
Oct 4 22:23:23 pauw afpd[18084]: ===============================================================
Oct 4 22:23:23 pauw afpd[18084]: BACKTRACE: 3 stack frames:
Oct 4 22:23:23 pauw afpd[18084]: #0 /usr/local/sbin/afpd(netatalk_panic+0x29) [0x8097969]
Oct 4 22:23:23 pauw afpd[18084]: #1 /usr/local/sbin/afpd() [0x8097ab1]
Oct 4 22:23:23 pauw afpd[18084]: #2 [0xb7867400]
Oct 4 22:23:29 pauw afpd[18086]: ===============================================================
Oct 4 22:23:29 pauw afpd[18086]: INTERNAL ERROR: Signal 11 in pid 18086 (2.2.1)
Oct 4 22:23:29 pauw afpd[18086]: ===============================================================
Oct 4 22:23:29 pauw afpd[18086]: BACKTRACE: 3 stack frames:
Oct 4 22:23:29 pauw afpd[18086]: #0 /usr/local/sbin/afpd(netatalk_panic+0x29) [0x8097969]
Oct 4 22:23:29 pauw afpd[18086]: #1 /usr/local/sbin/afpd() [0x8097ab1]
Oct 4 22:23:29 pauw afpd[18086]: #2 [0xb7867400]

Discussion

  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2011-10-15

    How can you just close this with a "Works For Me" ?
    This is definitely a confirmed problem - Its been logged on bugs.launchpad.net in ubuntu (Bug #810732)

     
    Last edit: Anonymous 2014-11-07
  • Rick DeNatale

    Rick DeNatale - 2011-10-17

    I want to add my voice to ferdil.

    I just installed 2.2.1 on Ubuntu 11.10 and get the same panic in /var/log/syslog

     
  • franklahm

    franklahm - 2011-10-18

    Reopened.
    Stll works for me (and a lot others).

     
  • Andreas W

    Andreas W - 2011-10-20

    I am also experiencing this issue after upgrading to Ubuntu 11.10. Any logs we can provide which will aid in troubleshooting this?

     
  • Andreas W

    Andreas W - 2011-10-20

    Workaround can be found at https://bugs.launchpad.net/ubuntu/+source/netatalk/+bug/810732.

    In short, edit the '-uamlist' in /etc/netatalk/afpd.conf and replace 'uams_dhx2.so' with 'uams_dhx2_passwd.so' so that it looks like for instance '-uamlist uams_dhx.so,uams_dhx2_passwd.so' and restart netatalk.

     
  • franklahm

    franklahm - 2012-03-30

    Older version.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks